# function-arity

Returns the arity of the function identified by a function item.

function-arity($func as function(*)) → xs:integer

Arguments
| $func | function(*) | The function item whose arity is required
Result | xs:integer

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

Next